<ScreenSellAmount>:
    MainLayout:
        ScreenTitle:
            text_id: 'sellselect'

        BoxLayout:
            orientation: "horizontal"
            spacing: 10

            StepsWidgetSell:
                id: steps
                size_hint_x: 3
            BoxLayout:
                orientation: "vertical"
                size_hint_x: 6
                spacing: 10
                GridLayout:
                    id: grid_notes
                    cols: 3
                    spacing: 10
                    size_hint_y: 2
                ShowBox:
                    size_hint_y: 1
                    LabelLeft:
                        text_id: "amount_to_withdraw"
                    LabelRight:
                        font_size: 40
                        text: app.format_fiat_price(root.fiat_amount)
            BoxLayout:
                size_hint_x: 3
                BoxLayout:
                    orientation: "vertical"
                    spacing: 10
                    Widget:
                        size_hint_y: 2
                    SideBox:
                        LabelLeft:
                            id: max_amount_title
                            text_id: 'max_amount'
                        LabelRight:
                            id: max_amount_text
                            size_hint_x: 0.5
                            text: root._label_max_amount

        BoxLayout:
            size_hint_y: .3
            spacing: 10
            ButtonDark:
                id: button_back
                text_id: 'go_back'
                size_hint_x: 3
                on_release: root.goto_prev()
            ButtonLight:
                id: button_confirm
                text_id: 'confirm'
                disabled: root.fiat_amount <= 0
                size_hint_x: 9
                on_release: root.goto_next()


<ScreenSellSelectToken>:
    MainLayout:
        ScreenTitle:
            text_id: 'select_currency'

        BoxLayout:
            orientation: "horizontal"
            spacing: 10

            StepsWidgetSell:
                id: steps
                size_hint_x: 3
            TokensRecycleView:
                id: rv_tokens
                size_hint_x: 9
                halign: "center"

        BoxLayout:
            size_hint_y: .3
            spacing: 10
            ButtonDark:
                id: button_back
                text_id: 'go_back'
                size_hint_x: 3
                on_release: root.goto_prev()
            ButtonLight:
                id: button_confirm
                text_id: 'confirm'
                size_hint_x: 9
                on_release: root.goto_next()

<ScreenSellScan>:
    MainLayout:
        ScreenTitle:
            text_id: 'send_token'
            text_params: [root._token]
        BoxLayout:
            orientation: "horizontal"
            spacing: 10

            StepsWidgetSell:
                id: steps
                size_hint_x: 3

            BoxLayoutBackground:
                orientation: "horizontal"
                size_hint_x: 9
                background_color: color_darker_black
                padding: 20

                BoxLayout:
                    orientation: "vertical"
                    size_hint_x: 1
                    LabelLeft:
                        text: "1."
                    LabelLeft:
                        text: "2."
                    LabelLeft:
                        text: "3."
                    LabelLeft:
                        text_id: "note"
                BoxLayout:
                    orientation: "vertical"
                    size_hint_x: 5
                    LabelLeft:
                        text_id: "how_to_send_1"
                    LabelLeft:
                        text_id: "how_to_send_2"
                    LabelLeft:
                        text_id: "how_to_send_3"
                        text_params: [app.format_crypto_price(root._sell_amount, root._token, 12)]
                    LabelLeft:
                        text_id: "how_to_send_note"

                Image:
                    source: root._qr_image_uri
                    allow_stretch: True
                    keep_ratio: True
                    size_hint_x: 3

        BoxLayout:
            size_hint_y: .3
            spacing: 20
            ButtonDark:
                id: button_back
                text_id: 'go_back'
                size_hint_x: 3
                on_release: root.goto_prev()
            Widget:
                size_hint_x: 9
